classification
Title: Dead link in "The Python Standard Library" page
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: use pypi.org instead of pypi.python.org
View: 33503
Assigned To: docs@python Nosy List: SilentGhost, docs@python, lighthawk, ned.deily
Priority: normal Keywords: patch

Created on 2018-05-05 03:03 by lighthawk, last changed 2018-05-15 19:37 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6711 closed corona10, 2018-05-05 16:46
Messages (4)
msg316193 - (view) Author: MATSUURA, yosuke (lighthawk) Date: 2018-05-05 03:03
"The Python Standard Library" page (https://docs.python.org/3.6/library/index.html#the-python-standard-library) has a link to "Python Package Index" in the fourth paragraph
 but it linked to 404 URI(https://pypi.org/pypi/).
That link should be changed to a new URI(https://pypi.org/).

---
Fourth paragraph
"In addition to the standard library, there is a growing collection of several thousand components (from individual programs and modules to packages and entire application development frameworks), available from the ""Python Package Index""(This link is broken)."
msg316195 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2018-05-05 04:21
The language of that paragraph could be updated as well.
msg316425 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-05-12 11:26
Note that while the link in the docs should be updated, the old link should redirect properly.  That change has been requested in https://github.com/pypa/warehouse/issues/3914
msg316706 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-05-15 19:37
Thanks for noticing and for providing the PR.  The proposed change is a subset of the changes for Issue33503.
History
Date User Action Args
2018-05-15 19:37:24ned.deilysetstatus: open -> closed
superseder: use pypi.org instead of pypi.python.org
messages: + msg316706

resolution: duplicate
stage: patch review -> resolved
2018-05-12 11:26:28ned.deilysetnosy: + ned.deily
messages: + msg316425
2018-05-05 16:46:00corona10setkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request6404
2018-05-05 04:21:48SilentGhostsetversions: + Python 2.7, Python 3.4, Python 3.5, Python 3.7, Python 3.8
nosy: + SilentGhost

messages: + msg316195

stage: needs patch
2018-05-05 03:03:55lighthawkcreate